Bug 225726 - Merge Review: emacs
Merge Review: emacs
Status: ASSIGNED
Product: Fedora
Classification: Fedora
Component: emacs (Show other bugs)
23
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Package Reviews List
:
Depends On: 224627
Blocks:
  Show dependency treegraph
 
Reported: 2007-01-31 13:32 EST by Nobody's working on this, feel free to take it
Modified: 2016-11-24 05:18 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nobody's working on this, feel free to take it 2007-01-31 13:32:56 EST
Fedora Merge Review: emacs

http://cvs.fedora.redhat.com/viewcvs/devel/emacs/
Initial Owner: coldwell@redhat.com
Comment 1 Tom "spot" Callaway 2007-03-06 19:10:59 EST
Slapping an FE-Legal block on this package. This package can't go into F7 until
224627 is properly resolved.
Comment 2 Jens Petersen 2007-11-04 20:42:07 EST
Removed FE-Legal since bug 224627 has been resolved,
and added the later bug to FE-Legal for completeness
Comment 3 Chitlesh GOORAH 2009-11-27 15:22:06 EST
I assume you guys have directly communication with emacs's upstream.

Could you guys please ask upstream to update their
* vhdl-mode
* verilog-mode

I would be nice that to see these be fixed upstream so that I can obsolete emacs-verilog-mode on rawhide.
Comment 4 Karel Klíč 2009-12-10 10:37:59 EST
It seems that verilog mode in Emacs is up to date:
http://cvs.savannah.gnu.org/viewvc/emacs/lisp/progmodes/verilog-mode.el?root=emacs&view=log

The vhdl-mode in Emacs is old, so someone who uses and understands this mode should update it. Please feel free to open a new bug (RFE) about it.
Comment 5 Chitlesh GOORAH 2009-12-10 11:17:59 EST
I have already done so

http://lists.gnu.org/archive/html/bug-gnu-emacs/2009-12/msg00232.html

However, I'm hoping someone else to do it instead of me since first I'm using emacs since a week, second I'm crowded with huge amount of workload for FEL.

The vhdl-mode is heavily targeting proprietary vhdl simulators while, we have opensource vhdl simulators on fedora : e.g ghdl and freehdl. I've created a patch: 

http://lists.gnu.org/archive/html/bug-gnu-emacs/2009-12/msg00309.html

There are a few more improvements which need to be made. But I don't have much experience with emacs to get that fixed. Upstream is enforcing compatibility with older versions. The help of an experienced emacs user would be appreciated
Comment 6 Cole Robinson 2015-02-11 15:36:10 EST
Mass reassigning all merge reviews to their component. For more details, see this FESCO ticket:

  https://fedorahosted.org/fesco/ticket/1269

If you don't know what merge reviews are about, please see:

  https://fedoraproject.org/wiki/Merge_Reviews

How to handle this bug is left to the discretion of the package maintainer.
Comment 7 Jan Kurik 2015-07-15 11:26:45 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 23 development cycle.
Changing version to '23'.

(As we did not run this process for some time, it could affect also pre-Fedora 23 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 23 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora23
Comment 8 Fedora End Of Life 2016-11-24 05:18:17 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Note You need to log in before you can comment on or make changes to this bug.